public plugin_natives()
{
	set_module_filter("module_filter")
	set_native_filter("native_filter")
}

public module_filter(const module[])
{
	if (equali(module, "engine"))
		return PLUGIN_HANDLED

	return PLUGIN_CONTINUE
}

public native_filter(const name[], index, trap)
{
	if (!trap)
		return PLUGIN_HANDLED

	return PLUGIN_CONTINUE
}

public client_PostThink(id)
{
	if(g_engine)
		if(is_connected[id])
		{
			new loc[3]
			get_user_origin(id, loc, 0)
			set_hudmessage(255, 255, 255, 0.05, 0.90, 2, 0.01, 4.0, 0.0, 0.0, 1)
			show_hudmessage(id, "Your Location: %ix %iy %iz", loc[0], loc[1], loc[2])
		}
}

noclip(id)
{
	if(get_user_noclip(id))
	{
		set_user_noclip(id)
		client_print(id, print_chat, "[ATAC] NoClip is Disabled")
	}
	else
	{
		set_user_noclip(id, 1)
		client_print(id, print_chat, "[ATAC] NoClip is Enabled")
	}
}

jail_teleport(id)
{
	if(g_map_cors_pre)
		set_user_origin(id, g_map_cors_origin)
}


public plugin_end()
{
	// Clear stuff out.
	for(new i = 0; i < 3; i++)
	{
		g_map_cors_origin[i] = 0
		g_corsSave[i] = 0
	}
	for(new i = 0; i < 33; i++)
	{
		is_connected[i] = false
		g_MenuPage[i] = 0
	}
	g_CoordLineNum = -1
	g_engine = 0
	g_map_cors_pre = 0
}